[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# IfThen

Returns one of two strings, depending on a boolean expression

## Declaration

Source position: strutils.pp line 57

`function IfThen(`
`AValue: Boolean;`
`const ATrue: String;`
`const AFalse: String = ''`
`):String; overload;`

## Arguments

`AValue` |  | Determines which of the two possibilities to take
`ATrue` |  | String to return if the expression evaluates as True.
`AFalse` |  | String to return if the expression evaluates as false. Default is the empty string.

## Function result

Either AFalse or ATrue, depending on the expression.

## Description

IfThen returns ATrue if AValue is True, and returns AFalse if AValue is false.

## Errors

None.

## See also

AnsiMatchStr |  | Check whether a string occurs in an array of strings, observing case.
AnsiMatchText |  | Check whether a string occurs in an array of strings, disregarding case.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.